
Redmine - Defect #12276

db:migrate says "can't convert Fixnum into String"

2012-10-31 13:40 - Michael Flyorko

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.1.2

Description

I'm installing a completely new instance of the latest Redmine (v2.1.2) from the sources on a new Ubuntu 12.10 virtual machine. I've

followed the installation guidelines (http://www.redmine.org/projects/redmine/wiki/RedmineInstall).

At the step 6 "Database schema objects creation" while executing the command

RAILS_ENV=production rake db:migrate

I'm receiving the following error:

rake aborted!

can't convert Fixnum into String

Tasks: TOP => db:migrate => environment

(See full trace by running task with --trace)

I've googled but haven't found any reasonable explanation. Please help.

The full trace of the command is:

Invoke db:migrate (first_time)

Invoke environment (first_time)

Execute environment

rake aborted!

can't convert Fixnum into String

/var/lib/gems/1.9.1/gems/mysql2-0.3.11/lib/mysql2/client.rb:44:in `connect'

/var/lib/gems/1.9.1/gems/mysql2-0.3.11/lib/mysql2/client.rb:44:in `initialize'

/var/lib/gems/1.9.1/gems/activerecord-3.2.8/lib/active_record/connection_adapters/mysql2_adapter.rb:16:in `new'

/var/lib/gems/1.9.1/gems/activerecord-3.2.8/lib/active_record/connection_adapters/mysql2_adapter.rb:16:in `mysql2_connection'

/var/lib/gems/1.9.1/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:309:in

`new_connection'

/var/lib/gems/1.9.1/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:319:in

`checkout_new_connection'

/var/lib/gems/1.9.1/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:241:in `block (2

levels) in checkout'

/var/lib/gems/1.9.1/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:236:in `loop'

/var/lib/gems/1.9.1/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:236:in `block in

checkout'

/usr/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'

/var/lib/gems/1.9.1/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:233:in `checkout'

/var/lib/gems/1.9.1/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:96:in `block in

connection'

/usr/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'

/var/lib/gems/1.9.1/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:95:in

`connection'

/var/lib/gems/1.9.1/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_pool.rb:404:in

`retrieve_connection'

/var/lib/gems/1.9.1/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_specification.rb:170:in

`retrieve_connection'

/var/lib/gems/1.9.1/gems/activerecord-3.2.8/lib/active_record/connection_adapters/abstract/connection_specification.rb:144:in

`connection'

/var/lib/gems/1.9.1/gems/activerecord-3.2.8/lib/active_record/model_schema.rb:308:in `clear_cache!'

/var/lib/gems/1.9.1/gems/activerecord-3.2.8/lib/active_record/railtie.rb:97:in `block (2 levels) in <class:Railtie>'

/var/lib/gems/1.9.1/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:418:in

`_run__2538907570855442818__prepare__3847215223589106666__callbacks'
/var/lib/gems/1.9.1/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:405:in `__run_callback'

/var/lib/gems/1.9.1/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:385:in `_run_prepare_callbacks'

/var/lib/gems/1.9.1/gems/activesupport-3.2.8/lib/active_support/callbacks.rb:81:in `run_callbacks'

/var/lib/gems/1.9.1/gems/actionpack-3.2.8/lib/action_dispatch/middleware/reloader.rb:74:in `prepare!'

/var/lib/gems/1.9.1/gems/actionpack-3.2.8/lib/action_dispatch/middleware/reloader.rb:48:in `prepare!'

/var/lib/gems/1.9.1/gems/railties-3.2.8/lib/rails/application/finisher.rb:47:in `block in <module:Finisher>'

/var/lib/gems/1.9.1/gems/railties-3.2.8/lib/rails/initializable.rb:30:in `instance_exec'

/var/lib/gems/1.9.1/gems/railties-3.2.8/lib/rails/initializable.rb:30:in `run'

/var/lib/gems/1.9.1/gems/railties-3.2.8/lib/rails/initializable.rb:55:in `block in run_initializers'

/var/lib/gems/1.9.1/gems/railties-3.2.8/lib/rails/initializable.rb:54:in `each'

/var/lib/gems/1.9.1/gems/railties-3.2.8/lib/rails/initializable.rb:54:in `run_initializers'

/var/lib/gems/1.9.1/gems/railties-3.2.8/lib/rails/application.rb:136:in `initialize!'

/var/lib/gems/1.9.1/gems/railties-3.2.8/lib/rails/railtie/configurable.rb:30:in `method_missing'

/home/michael/redmine-2.1/config/environment.rb:14:in `<top (required)>'

/var/lib/gems/1.9.1/gems/railties-3.2.8/lib/rails/application.rb:103:in `require'

/var/lib/gems/1.9.1/gems/railties-3.2.8/lib/rails/application.rb:103:in `require_environment!'

/var/lib/gems/1.9.1/gems/railties-3.2.8/lib/rails/application.rb:295:in `block (2 levels) in initialize_tasks'

/var/lib/gems/1.9.1/gems/rake-0.9.2.2/lib/rake/task.rb:205:in `call'

/var/lib/gems/1.9.1/gems/rake-0.9.2.2/lib/rake/task.rb:205:in `block in execute'

/var/lib/gems/1.9.1/gems/rake-0.9.2.2/lib/rake/task.rb:200:in `each'

/var/lib/gems/1.9.1/gems/rake-0.9.2.2/lib/rake/task.rb:200:in `execute'

/var/lib/gems/1.9.1/gems/rake-0.9.2.2/lib/rake/task.rb:158:in `block in invoke_with_call_chain'

/usr/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'

/var/lib/gems/1.9.1/gems/rake-0.9.2.2/lib/rake/task.rb:151:in `invoke_with_call_chain'

/var/lib/gems/1.9.1/gems/rake-0.9.2.2/lib/rake/task.rb:176:in `block in invoke_prerequisites'

/var/lib/gems/1.9.1/gems/rake-0.9.2.2/lib/rake/task.rb:174:in `each'

/var/lib/gems/1.9.1/gems/rake-0.9.2.2/lib/rake/task.rb:174:in `invoke_prerequisites'

/var/lib/gems/1.9.1/gems/rake-0.9.2.2/lib/rake/task.rb:157:in `block in invoke_with_call_chain'

/usr/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'

/var/lib/gems/1.9.1/gems/rake-0.9.2.2/lib/rake/task.rb:151:in `invoke_with_call_chain'

/var/lib/gems/1.9.1/gems/rake-0.9.2.2/lib/rake/task.rb:144:in `invoke'

/var/lib/gems/1.9.1/gems/rake-0.9.2.2/lib/rake/application.rb:116:in `invoke_task'

/var/lib/gems/1.9.1/gems/rake-0.9.2.2/lib/rake/application.rb:94:in `block (2 levels) in top_level'

/var/lib/gems/1.9.1/gems/rake-0.9.2.2/lib/rake/application.rb:94:in `each'

/var/lib/gems/1.9.1/gems/rake-0.9.2.2/lib/rake/application.rb:94:in `block in top_level'

/var/lib/gems/1.9.1/gems/rake-0.9.2.2/lib/rake/application.rb:133:in `standard_exception_handling'

/var/lib/gems/1.9.1/gems/rake-0.9.2.2/lib/rake/application.rb:88:in `top_level'

/var/lib/gems/1.9.1/gems/rake-0.9.2.2/lib/rake/application.rb:66:in `block in run'

/var/lib/gems/1.9.1/gems/rake-0.9.2.2/lib/rake/application.rb:133:in `standard_exception_handling'

/var/lib/gems/1.9.1/gems/rake-0.9.2.2/lib/rake/application.rb:63:in `run'

/var/lib/gems/1.9.1/gems/rake-0.9.2.2/bin/rake:33:in `<top (required)>'

/usr/local/bin/rake:23:in `load'

/usr/local/bin/rake:23:in `<main>'

Tasks: TOP => db:migrate => environment

FYI: my environment - get list:

LOCAL GEMS ***

actionmailer (3.2.8)

actionpack (3.2.8)

activemodel (3.2.8)

activerecord (3.2.8)

activerecord-mysql2-adapter (0.0.3)

activeresource (3.2.8)

activesupport (3.2.8)

arel (3.0.2)

builder (3.0.0)

bundler (1.2.1)

coderay (1.0.8)

erubis (2.7.0)

hike (1.2.1)

i18n (0.6.1)

journey (1.0.4)

jquery-rails (2.0.3)

json (1.7.5)

mail (2.4.4)

2025-08-23 2/3



mime-types (1.19)

multi_json (1.3.6)

mysql2 (0.3.11)

net-ldap (0.3.1)

polyglot (0.3.3)

rack (1.4.1)

rack-cache (1.2)

rack-openid (1.3.1)

rack-ssl (1.3.2)

rack-test (0.6.2)

rails (3.2.8)

railties (3.2.8)

rake (0.9.2.2)

rdoc (3.12)

rmagick (2.13.1)

ruby-openid (2.1.8)

sprockets (2.1.3)

thor (0.16.0)

tilt (1.3.3)

treetop (1.4.12)

tzinfo (0.3.34)

History

#1 - 2012-10-31 14:35 - Michael Flyorko

I've found the reason but still think it's the issue that should be fixed:

'redmine' user password in MySQL was '1' that was interpreted as Fixnum.

After changing the password to something else literal I've successfully migrated the database.

#2 - 2012-11-01 06:40 - Ivan Cenov

Michael Flyorko wrote:

I've found the reason but still think it's the issue that should be fixed:

'redmine' user password in MySQL was '1' that was interpreted as Fixnum.

After changing the password to something else literal I've successfully migrated the database.

 It seems that this is not a Redmine bug but a Rails bug...

#3 - 2012-11-06 06:39 - Toshi MARUYAMA

- Category set to Database

#4 - 2019-01-10 03:09 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Invalid

This issue is obsolete, I'm closing it. "db:migrate" works in the latest releases.
